| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/texture.h File Reference

Texture interfaces. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iTextureCallback
| A callback for when a iTextureWrapper is used. More...
struct | iTextureList
| This class represents a list of texture wrappers. More...
struct | iTextureWrapper
| A texture wrapper is an engine-level object that wraps around an actual texture (iTextureHandle). More...

## Detailed Description

Texture interfaces.

Definition in file texture.h.